igeo

## Interface IMatrix3I

- All Superinterfaces:
    IMatrix3Op, IMatrixI, IMatrixOp, IParameter, IVal
  All Known Implementing Classes:
    IMatrix3

      public interface IMatrix3I
      extends IMatrixI, IMatrix3Op

  Abstract interface of 3x3 numerical matrix.
  Author:
    Satoru Sugihara

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMatrix3I` | `cp()` alias of dup()
    `IMatrix3I` | `dup()`
    `IMatrix3` | `get()`
    `IMatrix3I` | `mul(IMatrix3I m)`
    `IVec2I` | `mul(IVec2I m)`
    `IVecI` | `mul(IVecI m)`
    `IMatrix3I` | `set(double v11, double v12, double v13, double v21, double v22, double v23, double v31, double v32, double v33)`
    `IMatrix3I` | `set(IDoubleI v11, IDoubleI v12, IDoubleI v13, IDoubleI v21, IDoubleI v22, IDoubleI v23, IDoubleI v31, IDoubleI v32, IDoubleI v33)`

    - ### Methods inherited from interface igeo.IMatrixI

      `add, columnNum, columnNum, columnNum, determinant, determinant, determinant, div, div, get, get, get, invert, mul, mul, mul, rowNum, rowNum, rowNum, set, set, set, set, set, setId, setZero, sub`

- - ### Method Detail

    - #### get

          IMatrix3 get()

      Specified by:
        `get` in interface `IMatrix3Op`
      Specified by:
        `get` in interface `IMatrixOp`
      Specified by:
        `get` in interface `IParameter`

    - #### dup

          IMatrix3I dup()

      Specified by:
        `dup` in interface `IMatrixI`

    - #### cp

          IMatrix3I cp()

      Description copied from interface: `IMatrixI`
      alias of dup()
      Specified by:
        `cp` in interface `IMatrixI`

    - #### set

          IMatrix3I set(double v11,
                        double v12,
                        double v13,
                        double v21,
                        double v22,
                        double v23,
                        double v31,
                        double v32,
                        double v33)

    - #### set

          IMatrix3I set(IDoubleI v11,
                        IDoubleI v12,
                        IDoubleI v13,
                        IDoubleI v21,
                        IDoubleI v22,
                        IDoubleI v23,
                        IDoubleI v31,
                        IDoubleI v32,
                        IDoubleI v33)

    - #### mul

          IMatrix3I mul(IMatrix3I m)

    - #### mul

          IVecI mul(IVecI m)

    - #### mul

          IVec2I mul(IVec2I m)